Jump to content
  • 0
Sign in to follow this  
JachuPL

New binary?

Question

Hi guys, is there any new binary that works with 2014 official gameforge clients? We got one binary, but it does not work properly (you can't see mounts, pets, or everything that was added in patch files, metin2_patch_xxx). Would someone mind sharing one?

Share this post


Link to post

10 answers to this question

Recommended Posts

  • 0

Change your say_item function to...

say("[INSERT_IMAGE image_type;item|idx;"..vnum.."|title;"..name.."|index;".. 0 .."|total;".. 1 .."]")
Added: 

total;".. 1 .."
  • Love 3

Share this post


Link to post
  • 0

You can use 28k binary, it works properly, but don't forget GF root does not contains the files, its in their binary. Your problem seems to be not a binary problem, it sounds like the client can't load those files because of Type 4 protection. 

To use the official patches you must follow these steps:

 

  1. Create a package folder at your server
  2. Download this: https://mega.co.nz/#!WFcTCJ7a!6lj-sJ_3LNRzli8ZL5gi4yyXStPo1cCwwC47AdBxzTc
  3. Extract the .rar to the package folder
  4. Restart your server
  • Love 2

Share this post


Link to post
  • 0

 

You can use 28k binary, it works properly, but don't forget GF root does not contains the files, its in their binary. Your problem seems to be not a binary problem, it sounds like the client can't load those files because of Type 4 protection. 

To use the official patches you must follow these steps:

 

  1. Create a package folder at your server
  2. Download this: https://mega.co.nz/#!WFcTCJ7a!6lj-sJ_3LNRzli8ZL5gi4yyXStPo1cCwwC47AdBxzTc
  3. Extract the .rar to the package folder
  4. Restart your server

 

 

 

Thanks for responding to my topic. I am using this binary, but I still got problem. There should't be any, because it's the newest metin2 gameforge client, patched 5 minutes ago. I can't see mounts (using 52001+ items) that I ride or summon by command. Also, this binary does not show quest images properly (it sets align maximally to the right side of screen), like You can see here

0612z3.jpg

 

I also include logs from using 52006 item from client's syserr

 
0214 23:09:20247 :: CRaceManager::RegisterRacePath : RACE[20205] LOAD MSMFILE[d:/ymir work/npc/boar_2/boar_2.msm] ERROR. Will Find Another Path.
0214 23:09:20247 :: CRaceManager::RegisterRacePath : RACE[20205] LOAD MSMFILE[d:/ymir work/npc2/boar_2/boar_2.msm] ERROR. Will Find Another Path.
0214 23:09:20247 :: CRaceManager::RegisterRacePath : RACE[20205] LOAD MSMFILE[d:/ymir work/monster/boar_2/boar_2.msm] ERROR. Will Find Another Path.
0214 23:09:20247 :: CRaceManager::RegisterRacePath : RACE[20205] LOAD MSMFILE[d:/ymir work/monster2/boar_2/boar_2.msm] ERROR. Will Find Another Path.
0214 23:09:20247 :: CRaceManager::RegisterRacePath : RACE[20205] LOAD MSMFILE[d:/ymir work/guild/boar_2/boar_2.msm] ERROR
0214 23:09:20247 :: CRaceManager::GetRaceDataPointer: cannot load data by dwRaceIndex 20205

Share this post


Link to post
  • 0

Also, this binary does not show quest images properly (it sets align maximally to the right side of screen), like You can see here

0612z3.jpg

You are wrong, it shows quest's images properly.

Share this post


Link to post
  • 0

Yesterday GF has been updated these patches but I don't have the keys for them.

 

  • metin2_patch_etc_costume1
  • metin2_patch_pet1

Maybe this can cause your problem of items or mounts, but I don't think so. These patches are not contains any mounts... Try to wear this armor:

20009

If you can see it then that patch has been loaded correctly.

Share this post


Link to post
  • 0

Yesterday GF has been updated these patches but I don't have the keys for them.

 

  • metin2_patch_etc_costume1
  • metin2_patch_pet1

Maybe this can cause your problem of items or mounts, but I don't think so. These patches are not contains any mounts... Try to wear this armor:

20009

If you can see it then that patch has been loaded correctly.

 

I can see that armor but I can't see 120XX armors properly. I think it has something do to with client coding, but I don't know what, I checked it many times but I don't know where. Would You mind sharing Your 28k binary, please?

Share this post


Link to post
  • 0

I'm using the binary from source, you should use it too.

 

 

You mean to compile my own or is there already compiled somewhere?

 

I compiled my own using mainline_released but it seems not to work with gameforge clients (root/locale's are from my own edit)

Share this post


Link to post
  • 0

Jachu u should replace the lib folder and include python2.7 in order to make binary working on the gf client ;) By default it still uses python2.2.

  • Love 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

Terms of Use / Privacy Policy / Guidelines / We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.